Results 1 to 7 of 7
  1. #1
    Join Date
    Mar 2005
    Posts
    192
    Plugin Contributions
    0

    Default Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    [Note: remember to include site URL, ZC version, list of plugins, PHP version, etc ... read the Posting Tips shown above for information to include in your post here. And, remove this comment before actually posting!]

    I have a site on 1.5.4 (I think—I can't access it all but my File Manager via CPanel shows I updated something in late May 2016 so it could be 1.5.5—how can I tell? I didn't find any version info in any config files).

    Anyway, my hosting company updated the server to PHP 5.6 minimum and took away the ability to remain on 5.3 and also updated MySQL to 5.10.32-MariaDB and now the site doesn't work.

    On the front end it says
    There seems to be a problem connecting to our database. Please give us a few minutes to remedy the problem. Thank you.
    In the backend it says
    WARNING: An Error occurred, please refresh the page and try again.
    I'm assuming this is a compatibility issue with ZC and the MySQL version but despite searching the forums I am at a loss as to if it is, if so, how to resolve it, and how to go about resolving it since i can't access the site at all other than the files and the DB.

    Thanks!

  2. #2
    Join Date
    Mar 2005
    Posts
    192
    Plugin Contributions
    0

    Default Re: Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    Also I'm assuming it's not 1.5.5 and needs to be upgraded but if that's the case and since I can't access the site front or back, how do I upgrade?

  3. #3
    Join Date
    Oct 2006
    Location
    Alberta, Canada
    Posts
    4,608
    Plugin Contributions
    1

    Default Re: Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    Best talk to your Hoster about this. Odds are the username has changed for your database and you'll need to update both configure.php files.
    The learning is in the doing.

    Potent Products

  4. #4
    Join Date
    Mar 2005
    Posts
    192
    Plugin Contributions
    0

    Default Re: Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    Hmm. Thanks, but that doesn't really make sense. I see the DB in CPanel and it has the assigned user I established. Plus I can change it if I wish. I don't see why that would be an issue for my host.

  5. #5
    Join Date
    Oct 2006
    Location
    Alberta, Canada
    Posts
    4,608
    Plugin Contributions
    1

    Default Re: Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    That's not the only reason I suggested contacting your Hoster. If everything was working fine, you did not change anything, and then the MySQL upgrade took place and now the site no longer works, your Hoster is the best one to help.
    The learning is in the doing.

    Potent Products

  6. #6
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    6,976
    Plugin Contributions
    63

    Default Re: Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    @Kayla, since you indicated that you do have cPanel access, use the File Explorer to navigate to the /includes directory of your store and view the file named version.php. That file will identify your store's current Zen Cart version.

  7. #7
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: Hosting Co update MySQL to 10.0.32-MariaDB & PHP 5.6.31 Broke Site

    Also, in the /logs directory on the server (use File Manager, or FTP), there will usually be myDebug-***.log files for errors that are occurring.

    See the FAQ article on the topic of your error message: WARNING: An Error occurred, please refresh the page and try again.



    And related also: Server Requirements for Zen Cart
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

 

 

Similar Threads

  1. Updated PHP 5.6 to PHP 7 & Template Error Message / Partial Site Loading
    By animateclay in forum Templates, Stylesheets, Page Layout
    Replies: 10
    Last Post: 26 Jul 2017, 10:29 PM
  2. v154 MariaDB instead of Mysql?
    By torvista in forum Installing on a Windows Server
    Replies: 2
    Last Post: 23 Nov 2015, 10:05 PM
  3. Broke Zen cart .. mySQL issues...
    By Muzz in forum Installing on a Linux/Unix Server
    Replies: 3
    Last Post: 26 Oct 2009, 01:38 AM
  4. No Longer working after PHP & MySQL upgrade
    By jojoberry in forum Installing on a Linux/Unix Server
    Replies: 3
    Last Post: 22 May 2007, 08:44 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR